var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var plugin_exports = {};
__export(plugin_exports, {
  CasPlugin: () => CasPlugin,
  default: () => plugin_default
});
module.exports = __toCommonJS(plugin_exports);
var import_server = require("@nocobase/server");
var import_service = require("./actions/service");
var import_constants = require("../constants");
var import_auth = require("./auth");
var import_login = require("./actions/login");
class CasPlugin extends import_server.Plugin {
  afterAdd() {
  }
  beforeLoad() {
  }
  async load() {
    this.app.authManager.registerTypes(import_constants.authType, {
      auth: import_auth.CASAuth
    });
    this.app.resource({
      name: "cas",
      actions: {
        service: import_service.service,
        login: import_login.login
      }
    });
    this.app.acl.allow("cas", "*", "public");
  }
  async install(options) {
  }
  async afterEnable() {
  }
  async afterDisable() {
  }
  async remove() {
  }
}
var plugin_default = CasPlugin;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CasPlugin
});
