var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var login_exports = {};
__export(login_exports, {
  login: () => login
});
module.exports = __toCommonJS(login_exports);
const login = async (ctx, next) => {
  const { authenticator, redirect = "/admin" } = ctx.action.params;
  const auth = await ctx.app.authManager.get(authenticator, ctx);
  const { casUrl } = auth.getOptions();
  const service = auth.getService(authenticator, ctx.app.name, redirect);
  ctx.redirect(`${casUrl}/login?service=${service}`);
  next();
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  login
});
